hpp-corbaserver: PathVector Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
PathVector Class Reference

`#include <hpp/core_idl/paths-idl.hh>`

Inheritance diagram for PathVector:
[legend]
Collaboration diagram for PathVector:
[legend]

## Public Types
typedef PathVector_ptr | _ptr_type
typedef PathVector_var | _var_type
Public Types inherited from Path
typedef Path_ptr | _ptr_type
typedef Path_var | _var_type

## Public Member Functions
virtual | ~PathVector ()
inline ::hpp::core_idl::PathVector_ptr | _this ()
Public Member Functions inherited from Path
virtual | ~Path ()
inline ::hpp::core_idl::Path_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
Static Public Member Functions inherited from Path
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId
Static Public Attributes inherited from Path
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef PathVector_ptr PathVector::_ptr_type

## ◆ _var_type

typedef PathVector_var PathVector::_var_type

## Constructor & Destructor Documentation

## ◆ ~PathVector()

virtual PathVector::~PathVector | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type PathVector::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type PathVector::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void PathVector::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type PathVector::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type PathVector::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::PathVector_ptr PathVector::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type PathVector::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type PathVector::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* PathVector::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/paths-idl.hh